<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="ch-system-automake" role="wrap">
  <?dbhtml filename="automake.html"?>

  <sect1info condition="script">
    <productname>automake</productname>
    <productnumber>&automake-version;</productnumber>
    <address>&automake-url;</address>
  </sect1info>

  <title>Automake-&automake-version;</title>

  <indexterm zone="ch-system-automake">
    <primary sortas="a-Automake">Automake</primary>
  </indexterm>

  <sect2 role="package">
    <title/>

    <para>Automake 软件包包含自动生成 Makefile，以便和 Autoconf
    	一同使用的程序。</para>

    <segmentedlist>
      <segtitle>&buildtime;</segtitle>
      <segtitle>&diskspace;</segtitle>

      <seglistitem>
        <seg>&automake-ch6-sbu;</seg>
        <seg>&automake-ch6-du;</seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

  <sect2 role="installation">
    <title>安装 Automake</title>

    <para>准备安装 Automake：</para>

<screen><userinput remap="configure">./configure --prefix=/usr --docdir=/usr/share/doc/automake-&automake-version;</userinput></screen>

    <para>编译该软件包：</para>

<screen><userinput remap="make">make</userinput></screen>

    <para> 由于单个测试点中存在的内部时延，即使仅有一个处理器，
    也应该使用 make 命令的 -j4 选项加速测试。输入以下命令测试编译结果：
    </para>
 
 <!--<screen><userinput remap="test">sed -i "s:./configure:LEXLIB=/usr/lib/libfl.a &amp;:" t/lex-{clean,depend}-cxx.sh
       make -j4 check</userinput></screen>-->
 
<screen><userinput remap="test">make -j4 check</userinput></screen>
 
<!--  All tests pass now.
    <para>Two tests are known to fail in the LFS environment:
    check12.sh and check12-w.sh.</para>
-->

    <para>安装该软件包：</para>

<screen><userinput remap="install">make install</userinput></screen>

  </sect2>


  <sect2 id="contents-automake" role="content">
    <title>Automake 的内容</title>

    <segmentedlist>
      <segtitle>安装的程序</segtitle>
      <segtitle>安装的目录</segtitle>

      <seglistitem>
        <seg>aclocal, aclocal-&am-minor-version; (与 aclocal 互为硬链接), automake, 以及
        automake-&am-minor-version; (与 automake 互为硬链接) </seg>
        <seg>/usr/share/aclocal-&am-minor-version;, /usr/share/automake-&am-minor-version;, 以及
        /usr/share/doc/automake-&automake-version;</seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">简要描述</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="aclocal">
        <term><command>aclocal</command></term>
        <listitem>
          <para>根据 <filename>configure.in</filename> 文件内容
          	  生成 <filename>aclocal.m4</filename>。</para>
          <indexterm zone="ch-system-automake aclocal">
            <primary sortas="b-aclocal">aclocal</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="aclocalversion">
        <term><command>aclocal-&am-minor-version;</command></term>
        <listitem>
          <para>指向 <command>aclocal</command> 的硬链接</para>
          <indexterm zone="ch-system-automake aclocalversion">
            <primary sortas="b-aclocal-&am-minor-version;">aclocal-&am-minor-version;</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="automake">
        <term><command>automake</command></term>
        <listitem>
          <para>一个根据
          <filename>Makefile.am</filename> 文件，自动生成
		  <filename>Makefile.in</filename> 文件的工具
		  [为了创建软件包中的所有
          <filename>Makefile.in</filename> 文件，在顶层目录运行该程序。
          它通过扫描 <filename>configure.in</filename> 文件，找到每个适用的
          <filename>Makefile.am</filename> 文件，并生成对应的
          <filename>Makefile.in</filename> 文件。]</para>
          <indexterm zone="ch-system-automake automake">
            <primary sortas="b-automake">automake</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="automake-version">
        <term><command>automake-&am-minor-version;</command></term>
        <listitem>
          <para>指向 <command>automake</command> 的硬链接</para>
          <indexterm zone="ch-system-automake automake-version">
            <primary sortas="b-automake-&am-minor-version;">automake-&am-minor-version;</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
